# `aek access`

When an AEK project is first created the permissions are set to only allow your user to deploy and push versions to the NPM and App enviroments.

This command allows to not only add and remove additional usernames but also hostnames.

## Users

Users are the appmanager usernames of these users for example ["Jon","Bob","Simon"]

If I used this command to add these users they would then now see the code base in npm.campusm.net and also be able to deploy this.

## Hosts

Hosts allow you to add in url for different enviroments. Any user which has AEK authorisation can then deploy this code and will see this in npm.campusm.net

To execute this command simply use the following line

```bash
aek access
```

Details for usage can be obtained using `aek help access`

```bash
Usage: aek access [action] [type] [name] [accessType]

action        Type of action you would like to do. Add or remove of a host or user

type          If you would like to add these to the hosts or users section of the permissions

name          The name of the user or the web address of the host. For example username will be their appmanager username. For a host it will be the address of the environment (m.campusm.net)

accessType    If the type of access they can have is read or write. Read will allow them to see the files but not deploy. Write will allow them to deploy the code base.

```
