const auth = require("@ombiel/aek-cli-support/auth");

module.exports = {
  name: "login",
  help: "login with App Manager credentials",
  options: [
    {
      name: "username",
      message: "username",
      required: true,
      promptIfMissing: true,
    },
    {
      name: "password",
      message: "password",
      required: true,
      inputType: "password",
      promptIfMissing: true,
    },
  ],
  callback: function(options) {
    return auth.authenticate(options);
  },
};
