const auth = require("@ombiel/aek-cli-support/auth");
const yarn = require("@ombiel/aek-cli-support/yarn");


module.exports = {

  name: "uninstall",
  help: `remove aek dependency`,
  options: [
    {
      name: "aekPackage",
      position: 1,
      help: "name of package to remove",
    },
    {
      name: "username",
      message: "Please enter your App Manager username",
      noPrompt: true,
    },
    {
      name: "password",
      message: "Please enter your App Manager password",
      inputType: "password",
      noPrompt: true,
    },
    // {
    //   name: "save-dev",
    //   type: "string",
    // }

  ],
  callback: function(options) {

    return auth.getUserDetails(options)
    .then(function(/*userDetails*/) {

      let {aekPackage} = options;

      const argv = process.argv.slice(process.argv.indexOf("uninstall") + 1);
      // .map(a=>(a === "--save-dev") ? "-D" : a);


      if (aekPackage.indexOf("@ombiel") !== 0) {
        aekPackage = `@ombiel/${aekPackage}`;
      }

      const yarnArgs = [aekPackage].concat(argv.slice(1));

      return yarn.command("remove",yarnArgs);

    });
  },
};
