const spawn = require("cross-spawn");

module.exports = {
  name: "yarn",
  help: "execute command with embedded yarn",
  options: [

  ],
  callback: function() {

    return new Promise(function(resolve,reject) {

      const which = require("npm-which")(__dirname);
      const yarnBin = which.sync("yarn");

      const argv = process.argv.slice(process.argv.indexOf("yarn") + 1);

      const child = spawn(yarnBin,argv,{stdio: "inherit"});

      child.on("close",function(exitCode) {
        if (exitCode !== 0) {
          return reject(exitCode);
        }

        return resolve();

      });
    });

  },
};
