module.exports = function(taskName,cb) {
  const gulp = require("./gulp");
  if (!gulp) {
    cb(Error("NOGULP"));
    return false;
  }

  if (!gulp.tasks[taskName]) {
    cb(Error("NOGULPTASK"));
    return false;
  }

  function onStop(ev) {
    if (ev.task === taskName) {
      gulp.removeListener("task_stop",onStop);
      cb(null,ev);
    }
  }

  gulp.on("task_stop",onStop);

  gulp.start(taskName);

  return true;


};
